aboutsummaryrefslogtreecommitdiff
path: root/others
diff options
context:
space:
mode:
authorluis <luis@370017ae-e619-0410-ac65-c121f96126d4>2007-04-12 01:12:52 +0000
committerluis <luis@370017ae-e619-0410-ac65-c121f96126d4>2007-04-12 01:12:52 +0000
commit5715ba0a091568f07009b6c40315fd65bf8acd5d (patch)
treef759db71ffd97848e8d3943134e72eee0a578ef8 /others
parenta4246124b5333cc51bee075770c9dde153f786c5 (diff)
downloadslackbuilds-5715ba0a091568f07009b6c40315fd65bf8acd5d.tar.gz
slackbuilds-5715ba0a091568f07009b6c40315fd65bf8acd5d.tar.bz2
generic.SlackBuild v0.8.2
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1163 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'others')
-rwxr-xr-xothers/generic/generic.SlackBuild9
1 files changed, 5 insertions, 4 deletions
diff --git a/others/generic/generic.SlackBuild b/others/generic/generic.SlackBuild
index 5373e1a7..102eabad 100755
--- a/others/generic/generic.SlackBuild
+++ b/others/generic/generic.SlackBuild
@@ -1,7 +1,7 @@
###################################################
## Generic template for SlackBuilds
##
-## Version 0.8.1 - Luis ( luis at riseup d0t net)
+## Version 0.8.2 - Luis ( luis at riseup d0t net)
##
###################################################
#!/bin/bash
@@ -34,6 +34,7 @@ REPOS=${REPOS:=$TMP}
PREFIX=${PREFIX:=[[PREFIX]]}
PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
CONF_OPTIONS=${CONF_OPTIONS:=[[OTHER CONFIGURE ARGS]]}
+NUMJOBS=${NUMJOBS:=-j4}
# Set system libraries' path and optmization flags based on $ARCH
LIBDIR="$PREFIX/lib"
@@ -121,7 +122,7 @@ CFLAGS="$SLKCFLAGS" \
--prefix="$PREFIX" --libdir="$LIBDIR" "$CONF_OPTIONS" || exit $ERROR_CONF
# Compile
-make || exit $ERROR_MAKE
+make "$NUMJOBS" || exit $ERROR_MAKE
# Install
make install DESTDIR="$PKG" || exit $ERROR_INSTALL
@@ -159,8 +160,8 @@ fi
# Install documentation
DOCS="[[DOCUMENTATION FILES]]"
-mkdir -p "$PKG/$PREFIX/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
-cp -a $DOCS "$PKG/$PREFIX/doc/$PKG_NAME-$PKG_VERSION"
+mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
+cp -a $DOCS "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
# Add package description (slack-desc)
mkdir -p "$PKG/install" || exit $ERROR_MKDIR